<!-- HTML header for doxygen 1.8.18-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=9" />
    <meta name="generator" content="Doxygen 1.9.1" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <title>VizBlocks: Class Hierarchy</title>
    <link href="tabs.css" rel="stylesheet" type="text/css" />
    <script type="text/javascript" src="jquery.js"></script>
    <script type="text/javascript" src="dynsections.js"></script>
     <link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
    <link href="my_customdoxygen.css" rel="stylesheet" type="text/css" />
  </head>
  <body>
    <div id="top">
      <!-- do not remove this div, it is closed by doxygen! -->
      <header id="header" class="desktop">
        <div>
          <div class="inner-header">
            <div class="logotype">
              <a href="https://edinburgh-college-of-art.github.io/vizblocks-website/" aria-hidden="true" title="Site home"
                >VizBlocks</a
              >
            </div>
            <div class="navigation">
              <button
                onclick="toggleBurger()"
                type="button"
                aria-label="toggle burger menu"
              >
                <i class="fa fa-bars"></i>
              </button>
              <nav id="menu" class="collapse">
                <a href="https://edinburgh-college-of-art.github.io/vizblocks-website/" class="home">Home</a>
                <a href="https://edinburgh-college-of-art.github.io/vizblocks-website/about" class="about">About</a>
                <a
                  href="https://edinburgh-college-of-art.github.io/vizblocks-website/tutorials/0_getting_started.html"
                  class="start"
                  >Get Started</a
                >
                <a href="https://edinburgh-college-of-art.github.io/vizblocks-website/tutorials" class="tutorials"
                  >Tutorials</a
                >
                <a href="https://edinburgh-college-of-art.github.io/vizblocks-website/docs/html" class="docs"
                  >Technical Info</a
                >
                <a href="https://edinburgh-college-of-art.github.io/vizblocks-website/contact" class="content">Contact</a>
              </nav>
            </div>
          </div>
        </div>
        <script>
          const toggleBurger = () => {
            const menu = document.getElementById("menu");
            if (menu.className === "collapse") {
              menu.className = "extend";
            } else {
              menu.className = "collapse";
            }
          };
          const touchDevice = "ontouchstart" in document.documentElement;
          if (touchDevice) {
            const header = document.getElementById("header");
            header.className = "mobile";
          }
        </script>
      </header>
      <!-- end header part -->
    </div>
  </body>
</html>
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">Class Hierarchy</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock">This inheritance list is sorted roughly, but not completely, alphabetically:</div><div class="directory">
<div class="levels">[detail level <span onclick="javascript:toggleLevel(1);">1</span><span onclick="javascript:toggleLevel(2);">2</span>]</div><table class="directory">
<tr id="row_0_" class="even"><td class="entry"><span style="width:0px;display:inline-block;">&#160;</span><span id="arr_0_" class="arrow" onclick="toggleFolder('0_')">&#9660;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="class_behaviour.html" target="_self">Behaviour</a></td><td class="desc">Parent class for all other behaviours </td></tr>
<tr id="row_0_0_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="class_breathe_l_e_ds.html" target="_self">BreatheLEDs</a></td><td class="desc"><a class="el" href="class_behaviour.html" title="Parent class for all other behaviours.">Behaviour</a> that cycles all LEDs from full to minimum brightness and back at a speed specified as its argument </td></tr>
<tr id="row_0_1_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="class_button_clicked.html" target="_self">ButtonClicked</a></td><td class="desc"><a class="el" href="class_behaviour.html" title="Parent class for all other behaviours.">Behaviour</a> that publishes a "ButtonClicked" message to the block's announcment topic of the MQQT broker </td></tr>
<tr id="row_0_2_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="class_button_held.html" target="_self">ButtonHeld</a></td><td class="desc"><a class="el" href="class_behaviour.html" title="Parent class for all other behaviours.">Behaviour</a> that publishes a "ButtonHeld" message to the block's announcment topic of the MQQT broker </td></tr>
<tr id="row_0_3_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="class_button_pressed.html" target="_self">ButtonPressed</a></td><td class="desc"><a class="el" href="class_behaviour.html" title="Parent class for all other behaviours.">Behaviour</a> that publishes a "ButtonPressed" message to the block's announcment topic of the MQQT broker </td></tr>
<tr id="row_0_4_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="class_button_released.html" target="_self">ButtonReleased</a></td><td class="desc"><a class="el" href="class_behaviour.html" title="Parent class for all other behaviours.">Behaviour</a> that publishes a "ButtonReleased" message to the block's announcment topic of the MQQT broker </td></tr>
<tr id="row_0_5_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="class_button_tick.html" target="_self">ButtonTick</a></td><td class="desc"><a class="el" href="class_behaviour.html" title="Parent class for all other behaviours.">Behaviour</a> that publishes a "ButtonTick" message to the block's announcment topic of the MQQT broker </td></tr>
<tr id="row_0_6_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="class_light_all_l_e_ds.html" target="_self">LightAllLEDs</a></td><td class="desc"><a class="el" href="class_behaviour.html" title="Parent class for all other behaviours.">Behaviour</a> that lights up all the LEDs to a brightness specified as its argument </td></tr>
<tr id="row_0_7_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="class_light_some_l_e_ds.html" target="_self">LightSomeLEDs</a></td><td class="desc"><a class="el" href="class_behaviour.html" title="Parent class for all other behaviours.">Behaviour</a> that lights up a number of LEDs specified as its argument </td></tr>
<tr id="row_0_8_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="class_link.html" target="_self">Link</a></td><td class="desc">Experimental <a class="el" href="class_behaviour.html" title="Parent class for all other behaviours.">Behaviour</a> leverages the ability to deliver commands over serial. If a block is connected to another via TX -&gt; RX pins, it can deliver this command and connected block will message the server that they have linked together. If the blocks unlink the behaviour will time out and an unlink message will be sent </td></tr>
<tr id="row_0_9_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="class_ping_server.html" target="_self">PingServer</a></td><td class="desc">Experimental <a class="el" href="class_behaviour.html" title="Parent class for all other behaviours.">Behaviour</a> that will regularly send a short message to the server so that the server knows the block is still online </td></tr>
<tr id="row_0_10_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="class_potentiometer_updated.html" target="_self">PotentiometerUpdated</a></td><td class="desc"><a class="el" href="class_behaviour.html" title="Parent class for all other behaviours.">Behaviour</a> that publishes a "PotentiometerUpdated" message to the block's announcment topic of the MQQT broker </td></tr>
<tr id="row_0_11_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="class_rotary_encoder_updated.html" target="_self">RotaryEncoderUpdated</a></td><td class="desc"><a class="el" href="class_behaviour.html" title="Parent class for all other behaviours.">Behaviour</a> that publishes a "RotaryEncoderUpdated" message to the block's announcment topic of the MQQT broker </td></tr>
<tr id="row_0_12_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="class_send_capabilities.html" target="_self">SendCapabilities</a></td><td class="desc"><a class="el" href="class_behaviour.html" title="Parent class for all other behaviours.">Behaviour</a> that publishes a series of messages listing all the the block's abilities to the block's announcment topic of the MQQT broker </td></tr>
<tr id="row_0_13_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="class_servo_go_and_return.html" target="_self">ServoGoAndReturn</a></td><td class="desc"><a class="el" href="class_behaviour.html" title="Parent class for all other behaviours.">Behaviour</a> that sets a servo to an angle before returning its position back to zero, for a number of cycles specified as its argument </td></tr>
<tr id="row_0_14_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="class_servo_go_to.html" target="_self">ServoGoTo</a></td><td class="desc"><a class="el" href="class_behaviour.html" title="Parent class for all other behaviours.">Behaviour</a> that sets a servo to an angle specified as its argument </td></tr>
<tr id="row_0_15_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="class_servo_wiggle.html" target="_self">ServoWiggle</a></td><td class="desc"><a class="el" href="class_behaviour.html" title="Parent class for all other behaviours.">Behaviour</a> that wiggles a servo with the sweep angle specified as its argument </td></tr>
<tr id="row_1_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="class_behaviour_table.html" target="_self">BehaviourTable</a></td><td class="desc">A container for a block's behaviours </td></tr>
<tr id="row_2_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="class_button.html" target="_self">Button</a></td><td class="desc">Event-driven button class </td></tr>
<tr id="row_3_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structkey_value_pair.html" target="_self">keyValuePair</a></td><td class="desc">A structure to hold key:value paired data, similar to a python dictionary </td></tr>
<tr id="row_4_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="class_name_dictionary.html" target="_self">NameDictionary</a></td><td class="desc">Storage and functionality for block naming </td></tr>
<tr id="row_5_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="class_potentiometer.html" target="_self">Potentiometer</a></td><td class="desc">Psuedo-event-driven potentiometer class. Events are split into stable and unstable updates to prevent flooding the mqtt channel with many messages while the slider is being set, while allowing for a local display element (i.e. an led) to give real-time feedback </td></tr>
<tr id="row_6_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="class_rotary_encoder.html" target="_self">RotaryEncoder</a></td><td class="desc">Event-driven rotary encoder class. Events are split into stable and unstable updates to prevent flooding the mqtt channel with many messages while the slider is being set, while allowing for a local display element (i.e. an led) to give real-time feedback </td></tr>
<tr id="row_7_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="class_viz_block.html" target="_self">VizBlock</a></td><td class="desc">The main <a class="el" href="class_viz_block.html" title="The main VizBlock class.">VizBlock</a> class </td></tr>
</table>
</div><!-- directory -->
</div><!-- contents -->
<!-- HTML footer for doxygen 1.8.18-->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.9.1
</small></address>
</body>
</html>
